Package org.eclipse.emf.cdo.security

## Interface Group

- All Superinterfaces:
    `Assignee`, `CDOObject`, `CDOWithID`, `org.eclipse.emf.ecore.EObject`, `ModelElement`, `org.eclipse.emf.common.notify.Notifier`, `SecurityElement`, `SecurityItem`
  All Known Implementing Classes:
    `GroupImpl`

      public interface Group
      extends Assignee

  A representation of the model object 'Group'.
  See Also:
    `SecurityPackage.getGroup()`
  Generated
  Model
    annotation="http://www.eclipse.org/emf/2002/Ecore constraints='AcyclicInheritance'"
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

    The following features are supported:

    - `Users`
    - `Inherited Groups`
    - `Inheriting Groups`
    - `All Inherited Groups`
    - `All Inheriting Groups`
    - `All Roles`

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `ADMINISTRATORS` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.eclipse.emf.common.util.EList<Group>` | `getAllInheritedGroups()` | Returns the value of the 'All Inherited Groups' reference list.
    `org.eclipse.emf.common.util.EList<Group>` | `getAllInheritingGroups()` | Returns the value of the 'All Inheriting Groups' reference list.
    `org.eclipse.emf.common.util.EList<Role>` | `getAllRoles()` | Returns the value of the 'All Roles' reference list.
    `org.eclipse.emf.common.util.EList<Group>` | `getInheritedGroups()` | Returns the value of the 'Inherited Groups' reference list.
    `org.eclipse.emf.common.util.EList<Group>` | `getInheritingGroups()` | Returns the value of the 'Inheriting Groups' reference list.
    `org.eclipse.emf.common.util.EList<User>` | `getUsers()` | Returns the value of the 'Users' reference list.

    - ### Methods inherited from interface org.eclipse.emf.cdo.security.Assignee

      `getId, getRoles, setId`

    - ### Methods inherited from interface org.eclipse.emf.cdo.CDOObject

      `cdoConflict, cdoDirectResource, cdoHistory, cdoID, cdoInvalid, cdoLockState, cdoPermission, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoRevision, cdoRevision, cdoState, cdoView, cdoWriteLock, cdoWriteOption`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.cdo.etypes.ModelElement

      `getAnnotation, getAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

    - ### Methods inherited from interface org.eclipse.emf.cdo.security.SecurityElement

      `getRealm`

- - ### Field Detail

    - #### ADMINISTRATORS

          static final java.lang.String ADMINISTRATORS

      Since:
        4.3
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getUsers

          org.eclipse.emf.common.util.EList<User> getUsers()

      Returns the value of the 'Users' reference list. The list contents are of type `User`. It is bidirectional and its opposite is '`Groups`'.

      If the meaning of the 'Users' reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Users' reference list.
      See Also:
        `SecurityPackage.getGroup_Users()`, `User.getGroups()`
      Generated
      Model
        opposite="groups"

    - #### getInheritedGroups

          org.eclipse.emf.common.util.EList<Group> getInheritedGroups()

      Returns the value of the 'Inherited Groups' reference list. The list contents are of type `Group`. It is bidirectional and its opposite is '`Inheriting Groups`'.

      If the meaning of the 'Inherited Groups' reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Inherited Groups' reference list.
      See Also:
        `SecurityPackage.getGroup_InheritedGroups()`, `getInheritingGroups()`
      Generated
      Model
        opposite="inheritingGroups"

    - #### getInheritingGroups

          org.eclipse.emf.common.util.EList<Group> getInheritingGroups()

      Returns the value of the 'Inheriting Groups' reference list. The list contents are of type `Group`. It is bidirectional and its opposite is '`Inherited Groups`'.

      If the meaning of the 'Inheriting Groups' reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Inheriting Groups' reference list.
      See Also:
        `SecurityPackage.getGroup_InheritingGroups()`, `getInheritedGroups()`
      Generated
      Model
        opposite="inheritedGroups"

    - #### getAllInheritingGroups

          org.eclipse.emf.common.util.EList<Group> getAllInheritingGroups()

      Returns the value of the 'All Inheriting Groups' reference list. The list contents are of type `Group`.

      If the meaning of the 'All Inheriting Groups' reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'All Inheriting Groups' reference list.
      See Also:
        `SecurityPackage.getGroup_AllInheritingGroups()`
      Generated
      Model
        transient="true" changeable="false" volatile="true" derived="true"

    - #### getAllInheritedGroups

          org.eclipse.emf.common.util.EList<Group> getAllInheritedGroups()

      Returns the value of the 'All Inherited Groups' reference list. The list contents are of type `Group`.

      If the meaning of the 'All Inherited Groups' reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'All Inherited Groups' reference list.
      See Also:
        `SecurityPackage.getGroup_AllInheritedGroups()`
      Generated
      Model
        transient="true" changeable="false" volatile="true" derived="true"

    - #### getAllRoles

          org.eclipse.emf.common.util.EList<Role> getAllRoles()

      Returns the value of the 'All Roles' reference list. The list contents are of type `Role`.

      If the meaning of the 'All Roles' reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'All Roles' reference list.
      See Also:
        `SecurityPackage.getGroup_AllRoles()`
      Generated
      Model
        transient="true" changeable="false" volatile="true" derived="true"